#!/bin/sh
set -e

SOURCE_DIR=$(realpath $(dirname "${0}"))/setup

# Create MariaDB instance
mkdir -p /srv/mariadb/conf /srv/mariadb/data
chown 3306:3306 /srv/mariadb/data
lxc-execute mariadb -- mysql_install_db --user=mysql

# Configure MariaDB
cp ${SOURCE_DIR}/srv/mariadb/conf/my.cnf /srv/mariadb/conf/my.cnf

# Enable query logging. Only if the DEBUG environment variable is set
if [ ${DEBUG:-0} -eq 1 ]; then
    sed -i 's/#general_log/general_log/g' /srv/mariadb/conf/my.cnf
fi

# Install service
cp ${SOURCE_DIR}/etc/init.d/mariadb /etc/init.d/mariadb
rc-update -u

# Configure MariaDB admin
service mariadb start
cat ${SOURCE_DIR}/adminpwd.sql | lxc-attach mariadb -- mysql
service mariadb stop
